'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Module dependencies.
 */
var entity_1 = __importDefault(require("./entity"));
var bind_all_1 = __importDefault(require("bind-all"));
var debug_1 = __importDefault(require("debug"));
var inherits_1 = __importDefault(require("inherits"));
// eslint-disable-next-line new-cap
var debug = debug_1.default('analytics.js:group');
/**
 * Group defaults
 */
Group.defaults = {
    persist: true,
    cookie: {
        key: 'ajs_group_id'
    },
    localStorage: {
        key: 'ajs_group_properties'
    }
};
/**
 * Initialize a new `Group` with `options`.
 *
 * @param {Object} options
 */
function Group(options) {
    this.defaults = Group.defaults;
    this.debug = debug;
    entity_1.default.call(this, options);
}
/**
 * Inherit `Entity`
 */
inherits_1.default(Group, entity_1.default);
/**
 * Expose the group singleton.
 */
module.exports = bind_all_1.default(new Group());
/**
 * Expose the `Group` constructor.
 */
module.exports.Group = Group;
